name: Client-side web (2023)
short: PWA
bison_exam: T.53801
description: Many modern web applications are 'single-page', meaning they don't have the concept of pages that you navigate between. Examples include Google Maps, WhatsApp Web and the Spotify web-client. Instead of having the server create HTML pages, the HTML is created from within the browser itself using the JavaScript programming language. The client-side JavaScript program usually communicates with one or more servers through an *application programmers interface (API)* to exchange data. Let's learn how to build such web apps! And yes, that implies learning JavaScript too. We'll also learn how to perform automated tests on the user interfaces that you've created.
owner: Remko Boschker
co-owners:
- Wilfred Dijksman
- Ferry Olthuis
- Luuk Weiss
- Olivier Wervers
assignments:
- csw-jsdom
- csw-nodejs
- csw-rest
- csw-spa
- csw-svelte
- csw-tests
- csw-pwa
- csw-project
